> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Search ABHA

> Search KYCed ABHA profiles using mobile number

<Note>
  Use the [Login APIs](/api-reference/user-app/abdm-connect/login/init) to complete the login
</Note>


## OpenAPI

````yaml post /abdm/v1/profile/search
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/v1/profile/search:
    post:
      description: Search KYCed ABHA profiles using mobile number
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProfileDiscoverAbhaRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileSearchKycAbhaResponse'
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    ProfileDiscoverAbhaRequest:
      properties:
        mobile:
          type: string
      required:
        - mobile
      type: object
    ProfileSearchKycAbhaResponse:
      properties:
        profiles:
          items:
            $ref: '#/components/schemas/ProfileAbha'
          type:
            - array
            - 'null'
        txn_id:
          type: string
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    ProfileAbha:
      properties:
        abha_address:
          type: string
        abha_number:
          examples:
            - xx-xxxx-xxxx-1525
          type: string
        age:
          type: integer
        gender:
          examples:
            - M
          type: string
        index:
          examples:
            - 1
          type: integer
        internal:
          examples:
            - true
          type: boolean
        kyc_verified:
          examples:
            - 'true'
          type: string
        name:
          examples:
            - John Doe
          type: string
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````